#!/usr/local/bin/perl

# Copyright (c) 2016, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.


$jca_dest_path = "$ARGV[0]";
print "JCA destination path is $jca_dest_path \n";

print "mkdir $jca_dest_path/temp;cp OracleBRMJCA15Adapter.rar $jca_dest_path/temp;cd $jca_dest_path/temp;unzip OracleBRMJCA15Adapter.rar;";
print "mkdir $jca_dest_path/temp/temp1;cp OracleBRMJCA15Adapter.jar $jca_dest_path/temp/temp1;cd $jca_dest_path/temp/temp1;unzip OracleBRMJCA15Adapter.jar";
system("mkdir $jca_dest_path/temp;cp $jca_dest_path/OracleBRMJCA15Adapter.rar $jca_dest_path/temp");
chdir"$jca_dest_path/temp";
system("pwd");
system("unzip OracleBRMJCA15Adapter.rar");
system("mkdir $jca_dest_path/temp/temp1;cp OracleBRMJCA15Adapter.jar $jca_dest_path/temp/temp1");
chdir"$jca_dest_path/temp/temp1";
system("pwd");
system("unzip OracleBRMJCA15Adapter.jar");

open(my $fh, "<", "$jca_dest_path/temp/temp1/Infranet.properties") or die "cannot open Infranet.properties:$!";
open(my $fh2, ">", "$jca_dest_path/temp/temp1/Infranet.properties.tmp") or die "cannot open Infranet.properties:$!";
while (my $line = <$fh>) {
     #chomp($_);
  if ($line =~ /^infranet.pcp.ssl.enabled/){
     $line="infranet.pcp.ssl.enabled=true\n";
  }
  if ($line=~/^infranet.pcp.ssl.wallet.location/){
     $line="infranet.pcp.ssl.wallet.location=$jca_dest_path/wallet/client\n";
  }
  print $fh2 $line ;
}
close($fh);
close($fh2);
rename "$jca_dest_path/temp/temp1/Infranet.properties.tmp", "$jca_dest_path/temp/temp1/Infranet.properties";

system("cd $jca_dest_path/temp/temp1;jar -uf OracleBRMJCA15Adapter.jar Infranet.properties;cp OracleBRMJCA15Adapter.jar $jca_dest_path/temp");
system("cd $jca_dest_path/temp;jar -uf OracleBRMJCA15Adapter.rar OracleBRMJCA15Adapter.jar;cp OracleBRMJCA15Adapter.rar $jca_dest_path");

system("rm -rf $jca_dest_path/temp");
