#!/usr/local/bin/perl

# Copyright (c) 2012, 2016, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.


############################################################

#This script performs the following 
#1. 
#2. 
# Version 1.0
# rprabaka 
############################################################

use File::Copy;

require "$STAGE_LOCATION/commoninfo.properties";
=comment

if($#ARGV == -1) {
     print"Usage: perl decryptpwd.pl <password>\n";
     die "Error: Couldn't find the argument$!";
}
#&decryptPassword($ARGV[0],$MIDDLEWARE_HOME,$JAVA_HOME);
=cut

sub decryptPassword() {
   my ($password,$mwhome,$javahome) = @_;
   if($PASSWORDS_ENCRYPTED =~/true/) {
   	my $classpath = ".:$mwhome/CustomScripts/pwlc/lib/J2EECore.jar::$mwhome/CustomScripts/pwlc/lib/mailapi_1_3_1.jar::$mwhome/CustomScripts";
   	my $cmd="$javahome/bin/java -cp $classpath DecryptPassword $password";
   	$password=`$cmd`;
   }
   chomp($password);  
   #print "pwd=$password\n";
   return ($password);
}

