#!/usr/local/bin/perl
# 
# $Header: commsplatform/managementpack/scripts/suite/modifybuildxml.pl /cgbuams_main/1 2015/09/07 22:42:30 kithomas Exp $
#
# modifybuildxml.pl
# 
# Copyright (c) 2015, Oracle and/or its affiliates. All rights reserved.
#
#    NAME
#      modifybuildxml.pl - <one-line expansion of the name>
#
#    DESCRIPTION
#      <short description of component this file declares/defines>
#
#    NOTES
#      <other useful comments, qualifications, etc.>
#
#    MODIFIED   (MM/DD/YY)
#    ssautuku    03/24/15 - Creation
my $pwd=`pwd`;
chomp($pwd);
my $app=$ARGV[0];
print "app is $app\n";
chomp($app);
require "commoninfo.properties";
my $inst;
my $inst_name;
&readinstallerdir();
&readinstallername();
&modify();
&modify_res();
&modify_asap_core_version();
sub modify{
        open(BUILD,"$pwd/$app/build.xml");
        open(BUILD_TMP,">$pwd/$app/build.xml_tmp");
        $line=$app."72ServerLinux";
        print "line is $line\n";
        while(<BUILD>){
                chomp($_);
                if($_=~/$line/){
                        $_=~s/$line/$inst_name/g;
                        print "After modifying line is $_\n";
                        print BUILD_TMP "$_\n";
                }
                else{
                        print BUILD_TMP "$_\n";
                }
                }
        close(BUILD);close(BUILD_TMP);rename("$pwd/$app/build.xml_tmp","$pwd/$app/build.xml");
}
sub modify_res{
        open(RES,"$pwd/update_response.pl");
        open(RES_TMP,">$pwd/update_response.pl_tmp");
        $line=$app."72ServerLinux";
        while(<RES>){
                chomp($_);
                if($_=~/$line/){
                        $_=~s/$line/$inst_name/g;
                        print "After modifying line is $_\n";
                        print RES_TMP "$_\n";
                }
                else{
                        print RES_TMP "$_\n";
                }
        }
        close(RES);close(RES_TMP);rename("$pwd/update_response.pl_tmp","$pwd/update_response.pl");
}
sub modify_asap_core_version{
        if($inst_name=~/asap/){
                $suffix=(split("asap",$inst_name))[1];
                chomp($suffix);
                print "suffix is $suffix\n";
                open(SUI,"suite_install.properties");
                open(SUI_TMP,">suite_install.properties_tmp");
                while(<SUI>){
                        chomp($_);
                        if($_=~/asap.core.server_version_os/){
                                $_=~s/72ServerLinux/$suffix/;
                                print "After modifying line is $_\n";
                                print SUI_TMP "$_\n";
                        }
                        else{
                                print SUI_TMP "$_\n";
                        }
                }
                close(SUI);close(SUI_TMP);rename("suite_install.properties_tmp","suite_install.properties");
        }

}

sub readinstallerdir{

        $cmd="grep $app.download.dir suite_install.properties";
        $t=`$cmd`;
        chomp($t);
        $inst=(split("=",$t))[1];
        chomp($inst);
        print "inst location is $inst\n";
}
sub readinstallername {
        $inst_name=(split("/",$inst))[-1];
        chomp($inst_name);
        print "installer name is $inst_name\n";
}
 
