#!/usr/local/bin/perl
# 
# $Header: commsplatform/managementpack/scripts/suite/update_commoninfo_template.pl /cgbuams_main/1 2015/09/07 22:42:30 kithomas Exp $
#
# update_commoninfo_template.pl
# 
# Copyright (c) 2015, Oracle and/or its affiliates. All rights reserved.
#
#    NAME
#      update_commoninfo_template.pl - <one-line expansion of the name>
#
#    DESCRIPTION
#      <short description of component this file declares/defines>
#
#    NOTES
#      <other useful comments, qualifications, etc.>
#
#    MODIFIED   (MM/DD/YY)
#    ssautuku    03/06/15 - Creation
#	Used to modify weblogic version in commoninfo properties template file.

use warnings;

use File::Copy;

$cwd=`pwd`;
chomp($cwd);
my $mid_home="";
my $weblogic_home="";
open(CUST,"$cwd/templates/suite_customer.values");

while(<CUST>)
{
        chomp($_);
        if($_=~/MIDDLEWARE_HOME/)
        {
                $mid_home=(split(",",$_))[3];
                print "$mid_home\n";
        }
}
my $cmd = "ls -d $mid_home/wlserver*";
my $out=`$cmd`;
$out=~s/\s+//g;
$weblogic_home=$out;
print "weblogic home is $weblogic_home\n";
if( -d $weblogic_home )
{
        print "weblogic home directory exists\n";
}
$weblogic_dir_name=(split("$mid_home/",$weblogic_home))[1];
print "weblogic directory name is $weblogic_dir_name\n";
open(COMM,"$cwd/templates/commoninfo_template.properties");
open(COMM_TEMP,">$cwd/templates/commoninfo_template.properties.swp");
while(<COMM>)
{
        chomp($_);
        if($_=~/wlserver_10.3/)
        {
                $_=~s/wlserver_10.3/$weblogic_dir_name/g;
                print "modified line is $_\n";
        }
        print COMM_TEMP "$_\n";
}
close(COMM);
close(COMM_TEMP);
rename("$cwd/templates/commoninfo_template.properties.swp","$cwd/templates/commoninfo_template.properties");
#logic to replace wlserver_10.3 with correct weblogic directory ends here
#NOW REPLACING WLS.JAR LOCATION
my $wls="find $weblogic_home | grep wls.jar";
$out_wls=`$wls`;
$out_wls=~s/\s+//g;
print "$out_wls\n";
my $path=(split("$mid_home/",$out_wls))[1];
print "path is $path\n";
open(COMM,"$cwd/templates/commoninfo_template.properties");
open(COMM_TEMP,">$cwd/templates/commoninfo_template.properties.swp");
while(<COMM>)
{
        chomp($_);
        if($_=~/wls.jar/)
        {
                $_ = "\$DOMAIN_TEMPLATE=\"%MIDDLEWARE_HOME%/"."$path\";";
                print "modified line is $_\n";
        }
        print COMM_TEMP "$_\n";
}
close(COMM);
close(COMM_TMP);
rename("$cwd/templates/commoninfo_template.properties.swp","$cwd/templates/commoninfo_template.properties");
 
