#!/bin/ksh

if [ -z "$1" ]; then 
	echo "Need to set XML_CONFIG environment variables or specify"
	echo "them in command line:"
	echo "Usage: ./EncryptPasswords.sh [XML_CONFIG] -dbUser|-xmlapiUser|-wlsUser"
	echo "for example:"
	echo "./EncryptPasswords.sh config.xml -dbUser (to set the database user password only) " 
	echo "./EncryptPasswords.sh config.xml -dbUser -xmlapiUser -wlsUser (to set all passwords)"	
	exit 1
fi

if [ -z "$2" ]; then 
	echo "Specify atleast one parameter for encryption. -dbUser or -xmlapiUser or -wlsUser"	
	echo "Usage: ./EncryptPasswords.sh [XML_CONFIG] -dbUser|-xmlapiUser|-wlsUser"
	echo "for example:"
	echo "./EncryptPasswords.sh config.xml -dbUser (to set the database user password only) " 
	echo "./EncryptPasswords.sh config.xml -dbUser -xmlapiUser -wlsUser (to set all passwords)"
	exit 1	
fi

export XML_CONFIG=$1

source ./config.sh

$JAVA_HOME/bin/java $JAVAOPTS -classpath $CLASSPATH $APP_PROPERTIES com.mslv.oms.useradmin.OSMPasswordManagement $1 $2 $3 $4 






