#!/bin/bash

# Copyright (c) 2012, 2015, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.



THIS_DIR=$( cd `/usr/bin/dirname ${BASH_SOURCE}` > /dev/null ; /bin/pwd )

trap "echo FAILED" ERR
set -e
set -E
set -o pipefail

MANAGEABLE_INSTALL_TOOL_DIR=`/usr/bin/dirname ${BASH_SOURCE}`
MANAGEABLE_INSTALL_TOOL_DIR=`/usr/bin/readlink -fnqs $MANAGEABLE_INSTALL_TOOL_DIR/../..`

source ${MANAGEABLE_INSTALL_TOOL_DIR}/common/media_map.template

#echo "OEPE_12_1_2_3_0_KEPLER_DISTRO_LINUX_GTK_X86_64 ${MEDIA_DL_TARGET_LOC_OEPE_12_1_2_3_0_KEPLER_DISTRO_LINUX_GTK_X86_64}"

#echo "OEPE_12_1_3_7_0_LUNA_DISTRO_LINUX_GTK_X86_64 ${MEDIA_DL_TARGET_LOC_OEPE_12_1_3_7_0_LUNA_DISTRO_LINUX_GTK_X86_64}"

echo "OEPE_12_1_3_2_0_LUNA_LINUX_X86_64 ${MEDIA_DL_TARGET_LOC_OEPE_12_1_3_2_0_LUNA_LINUX_X86_64}"




#echo "DESIGNSTUDIO_7_2_4_0_0 ${MEDIA_DL_TARGET_LOC_DESIGNSTUDIO_7_2_4_0_0}"

echo "DESIGNSTUDIO_7_3_0_0_0 ${MEDIA_DL_TARGET_LOC_DESIGNSTUDIO}"

