#!/usr/local/bin/perl

# Copyright (c) 2012, 2015, Oracle and/or its affiliates. All rights reserved.

# The MIT License (MIT)

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.


# 
# $Header: commsplatform/managementpack/scripts/suite/updateProxyAppDescriptors.pl /cgbuams_main/2 2015/03/12 19:05:51 anirana Exp $
#
# updateProxyAppDescriptors.pl
# 
#
#    NAME
#      updateProxyAppDescriptors.pl - <one-line expansion of the name>
#
#    DESCRIPTION
#      <short description of component this file declares/defines>
#
#    NOTES
#      <other useful comments, qualifications, etc.>
#
#    MODIFIED   (MM/DD/YY)
#    zkunju      01/22/13 - Check-in file created by RPRABAKA
# 

use File::Copy;
require "commoninfo.properties";
if($#CLUSTERS>=0) {
   &proxyapp();
} 

#Create and Deploy HTTP proxy application
sub proxyapp {
        foreach $clust (@CLUSTERS) {
                $WEBINF="$MIDDLEWARE_HOME/user_projects/applications/$DOMAIN_NAME/apps/OracleProxy4_$clust/WEB-INF";
                $DEPLOYPATH="$MIDDLEWARE_HOME/user_projects/applications/$DOMAIN_NAME/apps/OracleProxy4_$clust";

                $cmd="mkdir -p $WEBINF";
                system($cmd);

                open(TMPWEB,"templates/web.xml");
                open(WEBXML,">$WEBINF/web.xml");

                $tmpclust=(split("_",$clust))[0];
                $clustaddr="";
                #foreach $item (@$clust) {
                foreach $item (@$tmpclust) {
                     $item1=(split(":",$item))[1];
                     $item2=(split(":",$item))[2];
                     $clustaddr="$clustaddr|$item1:$item2";
                }
                #copy weblogic.xml to proxy app location
                $cmd="cp templates/weblogic.xml $WEBINF";
                system($cmd);
                print"$cmd\n";
 

                $clustaddr=~s/^\|//;
                print"clustaddr=$clustaddr\n";
                        while(<TMPWEB>){
                                chomp($_);
                                $_=~s/REPLACE_CLUSTER_ADDRESS/$clustaddr/;
                        	print WEBXML "$_\n";
                        }
                        close(TMPWEB);
                        close(WEBXML);
     }
}
